gtkmm: Gtk::BitsetConstIter Class Reference

gtkmm 4.0.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Related Functions | List of all members
Gtk::BitsetConstIter Class Reference

Alias: Gtk::Bitset::const_iterator. More...

`#include <gtkmm/bitsetconstiter.h>`

## Public Types
using | iterator_category = std::bidirectional_iterator_tag
using | value_type = guint
using | difference_type = int
using | reference = value_type
using | pointer = void

## Public Member Functions
| BitsetConstIter (const BitsetConstIter& other)
BitsetConstIter& | operator= (const BitsetConstIter& other)
| BitsetConstIter (BitsetConstIter&& other) noexcept
BitsetConstIter& | operator= (BitsetConstIter&& other) noexcept
BitsetConstIter& | operator++ ()
BitsetConstIter | operator++ (int)
BitsetConstIter& | operator-- ()
BitsetConstIter | operator-- (int)
reference | operator* () const
| operator bool () const noexcept
| Discovers whether the iterator is valid, and not equal to end(). More...
bool | equal (const BitsetConstIter& other) const noexcept

## Related Functions
(Note that these are not member functions.)
bool | operator== (const BitsetConstIter& lhs, const BitsetConstIter& rhs)
bool | operator!= (const BitsetConstIter& lhs, const BitsetConstIter& rhs)

## Detailed Description

Alias: Gtk::Bitset::const_iterator.

A BitsetConstIter is a reference to a specific element in a specific bitset.

This is a const_iterator. There is no way to modify the bitset via an iterator. For modifying the bitset, use methods in Gtk::Bitset.

See also
  Bitset

Since gtkmm 3.98:

## Member Typedef Documentation

using Gtk::BitsetConstIter::difference_type = int

using Gtk::BitsetConstIter::iterator_category = std::bidirectional_iterator_tag

using Gtk::BitsetConstIter::pointer = void

using Gtk::BitsetConstIter::reference = value_type

using Gtk::BitsetConstIter::value_type = guint

## Constructor & Destructor Documentation

Gtk::BitsetConstIter::BitsetConstIter | ( | const BitsetConstIter& | other | ) |

Gtk::BitsetConstIter::BitsetConstIter | ( | BitsetConstIter&& | other | ) |
| noexcept

## Member Function Documentation

bool Gtk::BitsetConstIter::equal | ( | const BitsetConstIter& | other | ) | const
| noexcept

Gtk::BitsetConstIter::operator bool | ( |  | ) | const
| explicitnoexcept

Discovers whether the iterator is valid, and not equal to end().

For instance,

if (bitset_iter)
do_something();

reference Gtk::BitsetConstIter::operator* | ( |  | ) | const

BitsetConstIter& Gtk::BitsetConstIter::operator++ | ( |  | ) |

BitsetConstIter Gtk::BitsetConstIter::operator++ | ( | int |  | ) |

BitsetConstIter& Gtk::BitsetConstIter::operator-- | ( |  | ) |

BitsetConstIter Gtk::BitsetConstIter::operator-- | ( | int |  | ) |

BitsetConstIter& Gtk::BitsetConstIter::operator= | ( | const BitsetConstIter& | other | ) |

BitsetConstIter& Gtk::BitsetConstIter::operator= | ( | BitsetConstIter&& | other | ) |
| noexcept

## Friends And Related Function Documentation

bool operator!= | ( | const BitsetConstIter& | lhs,
|  | const BitsetConstIter& | rhs
| ) |  |
| related

bool operator== | ( | const BitsetConstIter& | lhs,
|  | const BitsetConstIter& | rhs
| ) |  |
| related